Bug 612110 - rgmanager initscript FedoraGuidelines compliance
rgmanager initscript FedoraGuidelines compliance
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rgmanager (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Fabio Massimo Di Nitto
Cluster QE
:
Depends On: 537506
Blocks: 633349
  Show dependency treegraph
 
Reported: 2010-07-07 06:38 EDT by Fabio Massimo Di Nitto
Modified: 2010-11-10 17:16 EST (History)
6 users (show)

See Also:
Fixed In Version: rgmanager-3.0.12-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 537506
Environment:
Last Closed: 2010-11-10 17:16:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Massimo Di Nitto 2010-07-07 06:38:39 EDT
+++ This bug was initially created as a clone of Bug #537506 +++

Description of problem:

This is a list of issues for the rgmanager init script when compared with the
criteria in 
https://fedoraproject.org/wiki/Packaging/SysVInitScript


Version-Release number of selected component (if applicable):
rgmanager-3.0.4-1.fc12.i686

* try-restart command is not implemented (should be same as condrestart)

* condrestart implementation is the same as restart

* wrong exit status on usage and with invalid argument.  Got 1, expected 2.

[root@morph-04 tmp]$ service rgmanager
usage: /etc/init.d/rgmanager {start|restart|condrestart|reload|status|stop}
[root@morph-04 tmp]$ echo $?
1
[root@morph-04 tmp]$ service rgmanager badarg
usage: /etc/init.d/rgmanager {start|restart|condrestart|reload|status|stop}
[root@morph-04 tmp]$ echo $?
1

--- Additional comment from fedora-triage-list@redhat.com on 2009-11-16 10:31:41 EST ---


This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fdinitto@redhat.com on 2009-11-24 01:52:55 EST ---

Fixed with commit df7a30d84a4f8b9b645bdef52731491e60e590b8 in STABLE3
Comment 1 Fabio Massimo Di Nitto 2010-07-07 06:40:37 EDT
Further testing revealed one more unsolved issues to be LSB complaint.

d08e3bec8a853ef84a24fa4b86528718fa7e169e upstream commit
Comment 2 Fabio Massimo Di Nitto 2010-07-07 06:43:52 EDT
:: [   LOG    ] :: Assertions: 27 good, 0 bad

for the record.
Comment 5 Nate Straz 2010-07-16 16:05:57 EDT
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: TEST PROTOCOL
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Test run ID   : debugging
:: [   LOG    ] :: Package       : rgmanager
:: [   LOG    ] :: Installed:    : rgmanager-3.0.12-10.el6.x86_64
:: [   LOG    ] :: Test started  : 2010-07-16 16:04:40
:: [   LOG    ] :: Test finished : 2010-07-16 16:05:23
:: [   LOG    ] :: Test name     :
:: [   LOG    ] :: Distro:       : Red Hat Enterprise Linux Server release 6.0 Beta (Santiago)
:: [   LOG    ] :: Hostname      : west-04.lab.bos.redhat.com
:: [   LOG    ] :: Architecture  : x86_64

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test description
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

Cannot find the PURPOSE file of this test. Could be a missing, or
rlInitializeJournal wasn't called from appropriate location

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: >>>>>>>>> service start
:: [   PASS   ] ::  Service must start without problem
:: [   PASS   ] ::  Then Status command
:: [   PASS   ] ::  Already started service
:: [   PASS   ] ::  Again status command
:: [   LOG    ] :: >>>>>>>>> service restart
:: [   PASS   ] ::  Restarting of service
:: [   PASS   ] ::  Status command
:: [   LOG    ] :: >>>>>>>>> service stop
:: [   PASS   ] ::  Stopping service
:: [   PASS   ] ::  Status of stopped service
:: [   PASS   ] ::  Stopping service again
:: [   PASS   ] ::  Status of stopped service
:: [   LOG    ] :: >>>>>>>>> pid file
:: [   PASS   ] :: File /var/run/rgmanager.pid should exist
:: [   PASS   ] :: Running 'echo 666666 > /var/run/rgmanager.pid'
:: [   PASS   ] ::  Existing pid file, but service not started
:: [   LOG    ] :: >>>>>>>>> lock file
:: [   PASS   ] :: File /var/lock/subsys/rgmanager should exist
:: [   PASS   ] :: Running 'touch /var/lock/subsys/rgmanager'
:: [   PASS   ] ::  Existing lock file, but service not started
:: [   LOG    ] :: >>>>>>>>> insufficient rights
:: [   PASS   ] ::  Starting service for restarting under nonpriv user
:: [   PASS   ] :: Insufficient rights, restarting resrvice under nonprivileged user must fail
:: [   LOG    ] :: >>>>>>>>> operations
:: [   PASS   ] ::  Service have to implement start function
:: [   PASS   ] ::  Service have to implement restart function
:: [   PASS   ] ::  Service have to implement status function
:: [   PASS   ] ::  Service have to implement condrestart function
:: [   PASS   ] ::  Service have to implement try-restart function
:: [   PASS   ] ::  Service have to implement reload function
:: [   PASS   ] ::  Service have to implement force-reload function
:: [   LOG    ] :: >>>>>>>>> nonexist operations
:: [   PASS   ] ::  Testing proper return code when nonexisting function
:: [   LOG    ] :: >>>>>>>>> invalid arguments
:: [   PASS   ] ::  When no arguments added to service, it must fail with proper return code
:: [   LOG    ] :: Duration: 43s
:: [   LOG    ] :: Assertions: 27 good, 0 bad
:: [   PASS   ] :: RESULT: Test
Comment 6 releng-rhel@redhat.com 2010-11-10 17:16:31 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.